# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
%define name knetworkconf
%define version 0.4.1
%define release 1mdk
Summary:   A KDE application to configure TCP/IP settings.
Name:      %{name}
Version:   %{version}
Release:   %{release}
Copyright: GPL
Vendor:    Merlinux
Url:       http://www.merlinux.org/knetworkconf/

Packager:  Juan Luis Baptiste <juancho@linuxmail.org>
Group:     Configuration/Networking
Source:    http://www.merlinux.org/knetworkconf/download/src/%{name}-%{version}.tar.bz2
Source1:    %{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}_%{version}-buildroot

%description
KNetworkConf is a KDE application to configure  TCP/IP settings
in a Linux machine. I developed it because I couldn't find any
application to configure TCP/IP settings from within KDE, and I
think this is a "must have" app for a serious Desktop Enviroment
like KDE.
KNetworkConf can configure installed network devices (you can't
add new ones for now), the default gateway,host and domain names,
and add/remove DNS servers. This first version is a standalone
application, but the idea is to make it a KDE Control Center
module and a KApplet to have a fast access to it from the KDE
panel.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 1
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
  $LOCALFLAGS
%build

# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs
%install
#icons
mkdir -p %buildroot{%{_prefix}/share/locolor/16x16/apps/,%{_prefix}/share/locolor/32x32/apps/,%{_prefix}/share/pixmaps/}
#cd $RPM_BUILD_DIR/%{name}-%{version}
#install -m 644 %{name}/lo16-app-%{name}.png %buildroot%{_prefix}/share/locolor/16x16/apps/%{name}.png
#install -m 644 %{name}/lo32-app-%{name}.png %buildroot%{_prefix}/share/locolor/32x32/apps/%{name}.png
install -m 644 %{name}/network_card.png %buildroot/%{_prefix}/share/pixmaps/network_card.png

# Menu
mkdir -p %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/%name  
?package(%name): command="kdesu %_bindir/%name" needs="X11" \
icon="locolor/16x16/apps/%name.png" section="Configuration/Networking" \
title="KNetworkConf" longtitle="Configure TCP/IP settings under KDE"
EOF

%makeinstall bitsdata=$RPM_BUILD_ROOT/%{_datadir} bitssysconf=$RPM_BUILD_ROOT/%{_sysconfdir}


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT/*


%files 
%defattr(-,root,root,0755)
%doc README COPYING AUTHORS LEAME
%{_libdir}/menu/*
%{_bindir}/knetworkconf
%{_prefix}/share/icons/locolor/16x16/apps/%{name}.png
%{_prefix}/share/icons/locolor/32x32/apps/%{name}.png
%{_prefix}/share/pixmaps/network_card.png
%{_prefix}/share/locale/es/LC_MESSAGES/knetworkconf.mo
%{_prefix}/share/applnk/System/knetworkconf.desktop
%{_prefix}/share/doc/HTML/en/knetworkconf/index.cache.bz2
%{_prefix}/share/doc/HTML/en/knetworkconf/index.docbook

%changelog
* Sun Apr 06 2003 Juan Luis Baptiste <juancho@linuxmail.org> 0.4.1
- Update to 0.4.1 version.

* Fri Feb 14 2003 Juan Luis Baptiste <juancho@linuxmail.org> 0.4
- Initial release.
