/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
#include <kmessagebox.h>
#include "kaddressvalidator.h"
#include <klineedit.h>
bool _modified;
bool _advanced;

void KAddDeviceDlg::init()
{
  _modified = false;   
  _advanced = false;
  gbAdvancedDeviceInfo->hide();
  this->resize(this->width(),this->height() - 140);
  KAddDeviceDlgLayout->setResizeMode(QLayout::Auto);
}
void KAddDeviceDlg::toggleApplyButtonSlot( const QString & )
{
  toggleApplyButtonSlot(0);
}

void KAddDeviceDlg::toggleApplyButtonSlot( int )
{
  _modified = true;
  kpbApply->setEnabled(true);
}

void KAddDeviceDlg::toggleDeviceInfoGroupSlot( const QString &bootProto )
{
  if ((bootProto.lower() == "dhcp") || (bootProto.lower() == "bootp"))
  {
    gbBasicDeviceInfo->setEnabled(false);
    gbAdvancedDeviceInfo->setEnabled(false);
    kleIPAddress->clear();
    kpbAdvanced->setEnabled(false);
  }
  else
  {
    gbBasicDeviceInfo->setEnabled(true);
    gbAdvancedDeviceInfo->setEnabled(true);
    kpbAdvanced->setEnabled(true);
  }
  _modified = true;
  kpbApply->setEnabled(true);
}

void KAddDeviceDlg::verifyDeviceInfoSlot()
{
  if (kcbBootProto->currentText().lower() == "dhcp" || kcbBootProto->currentText().lower() == "bootp")
  {
    _modified = true;
    close();
  }
  else if (!_advanced)
  {
    if ((KAddressValidator::isValidIPAddress(kleIPAddress->text()))
        && (kcbBootProto->currentText().lower() != "dhcp" || kcbBootProto->currentText().lower() != "bootp"))
    {  
      _modified = true;
      close();
    }
    else
    {
      KMessageBox::error(this,i18n("The format of the specified IP address is not valid."),i18n("Invalid IP address "));
    }
  }  
  if (_advanced)
  {
    if (!(KAddressValidator::isNetmaskValid(kcbNetmask->currentText()))
        && (kcbBootProto->currentText().lower() != "dhcp" || kcbBootProto->currentText().lower() != "bootp"))
    {
      KMessageBox::error(this,i18n("The format of the specified Netmask is not valid."),i18n("Invalid IP address "));
    }
    else if ((!KAddressValidator::isNetworkValid(kleNetwork->text()))
        && (kcbBootProto->currentText().lower() != "dhcp" || kcbBootProto->currentText().lower() != "bootp"))
    {
      KMessageBox::error(this,i18n("The format of the specified Network is not valid."),i18n("Invalid IP address "));
    }
    else if ((!KAddressValidator::isBroadcastValid(kleBroadcast->text()))
        && (kcbBootProto->currentText().lower() != "dhcp" || kcbBootProto->currentText().lower() != "bootp"))
    {
      KMessageBox::error(this,i18n("The format of the specified Broadcast is not valid."),i18n("Invalid IP address"));
    }
    else
    {
      _modified = true;
      close();
    }
  }  
}


void KAddDeviceDlg::makeButtonsResizeable()
{
  kcbBootProto->setAutoResize(true);
  kcbNetmask->setAutoResize(true);

}



bool KAddDeviceDlg::modified()
{
  return _modified;
}


void KAddDeviceDlg::advancedOptionsSlot()
{
  if (!_advanced)
  {
    gbAdvancedDeviceInfo->show();    
    //this->resize(this->width(),this->height() + 140);
    kpbAdvanced->setText(i18n("Basic..."));
    kcbNetmask->setEditable(true);
    _advanced = true;
  }
  else
  {
    gbAdvancedDeviceInfo->hide();
    this->resize(this->width(),this->height() - 140);
//    this->resize(this->sizeHint());
    kpbAdvanced->setText(i18n("Advanced..."));
    kcbNetmask->setEditable(false);    
    _advanced = false;    
  }
}
