/***************************************************************************
                          knetworkconfmodule.cpp  -  description
                             -------------------
    begin                : Tue Apr 1 2003
    copyright            : (C) 2003 by Juan Luis Baptiste
    email                : juancho@linuxmail.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <klocale.h>
#include <kcmodule.h>
#include <qlayout.h> 

#include "knetworkconfmodule.h"


static const char *description =
	I18N_NOOP("KNetworkConf - A KDE Application to configure TCP/IP settings.");
  

KNetworkConfModule::KNetworkConfModule(QWidget* parent, const char *name)
  : KCModule(parent,name)
{
  QVBoxLayout *top = new QVBoxLayout(this);
  
  conf = new KNetworkConf(this);
  conf->setVersion(QString(VERSION));
  top->addWidget(conf);

  if (getuid() != 0)
    conf->setReadOnly(true);

  connect(conf,SIGNAL(changed(bool)),SIGNAL(changed(bool)));
}

KNetworkConfModule::~KNetworkConfModule()
{
}

void KNetworkConfModule::load()
{
  conf->loadNetworkDevicesInfo();
  conf->loadRoutingAndDNSInfo();
  conf->loadDNSInfoTab();
}

void KNetworkConfModule::save()
{
   conf->saveInfoSlot();
}

int KNetworkConfModule::buttons()
{
  return KCModule::Apply;
}

bool KNetworkConfModule::useRootOnlyMsg() const
{
  return true;
}

QString KNetworkConfModule::rootOnlyMsg() const
{
  return "Changing the network configuration requires root access";
}

KAboutData* KNetworkConfModule::aboutData() const
{
  KAboutData* data = new KAboutData( "knetworkconf", I18N_NOOP("KNetworkConf"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Juan Luis Baptiste", 0, "http://www.merlinux.org/knetworkconf/", "jbaptiste@merlinux.org");
  data->addAuthor("Juan Luis Baptiste",I18N_NOOP("Lead Developer"),
                      "jbaptiste@merlinux.org");
  data->addCredit("David Sansome",I18N_NOOP("Various bugfixes and features"),
                      "me@davidsansome.com");

  return data; // Memory leak, oh well...
}

QString KNetworkConfModule::quickHelp() const
{
  return "<h1>Network configuration</h1><p>This module allows you to configure your TCP/IP settings.</p>";
}
